import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { Contract } from "./contract.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class ContractService extends TypeOrmCrudService<Contract> {
    readonly repo: Repository<Contract>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<Contract>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Contract>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<Contract[]>;
    createOneBy(params: DeepPartial<Contract>, manager?: EntityManager): Promise<Contract>;
    createAllBy(params: DeepPartial<Contract>[], manager?: EntityManager): Promise<Contract[]>;
    createAllIfNotExistBy(params: DeepPartial<Contract>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<Contract>, set: {
        [K in keyof Contract]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
