import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
import { TokenCoinMarketCapData } from "./token-coin-market-cap-data.entity";
export declare class TokenCoinMarketCapDataService extends TypeOrmCrudService<TokenCoinMarketCapData> {
    readonly repo: Repository<TokenCoinMarketCapData>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<TokenCoinMarketCapData>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinMarketCapData>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<TokenCoinMarketCapData[]>;
    createOneBy(params: DeepPartial<TokenCoinMarketCapData>, manager?: EntityManager): Promise<TokenCoinMarketCapData>;
    createAllBy(params: DeepPartial<TokenCoinMarketCapData>[], manager?: EntityManager): Promise<TokenCoinMarketCapData[]>;
    createAllIfNotExistBy(params: DeepPartial<TokenCoinMarketCapData>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<TokenCoinMarketCapData>, set: {
        [K in keyof TokenCoinMarketCapData]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
